import request from '@/utils/request'

// 查询银行卡额度调整历史记录列表
export function listLimitHistory(query) {
  return request({
    url: '/invest/limitHistory/list',
    method: 'get',
    params: query
  })
}

// 查询银行卡额度调整历史记录详细
export function getLimitHistory(id) {
  return request({
    url: '/invest/limitHistory/' + id,
    method: 'get'
  })
}

// 新增银行卡额度调整历史记录
export function addLimitHistory(data) {
  return request({
    url: '/invest/limitHistory',
    method: 'post',
    data
  })
}

// 修改银行卡额度调整历史记录
export function updateLimitHistory(data) {
  return request({
    url: '/invest/limitHistory',
    method: 'put',
    data
  })
}

// 删除银行卡额度调整历史记录
export function delLimitHistory(id) {
  return request({
    url: '/invest/limitHistory/' + id,
    method: 'delete'
  })
}
